set -g prefix C-a
unbind C-b

set -g base-index 1
setw -g pane-base-index 1

# Make vim more responsive
set -sg escape-time 10

bind-key C-o last-window
bind-key C-a select-pane -t :.+
bind-key a send-prefix
bind r source-file ~/.tmux.conf
bind -n M-j select-pane -D
bind -n M-k select-pane -U
bind -n M-h select-pane -L
bind -n M-l select-pane -R
bind -n M-n next-window
bind -n M-p previous-window
bind-key C-n next-window
bind-key C-p previous-window
set -g set-titles off
set -g mouse on
set -g default-terminal tmux-256color
set-option -g default-shell /bin/fish
setw -g mode-keys vi
new -d


# shift-movement keys will resize panes
bind -r H resize-pane -L 5
bind -r J resize-pane -D 5
bind -r K resize-pane -U 5
bind -r L resize-pane -R 5

# better mnemonics for splitting panes!
#bind | split-window -h
#bind - split-window -v

bind-key h select-pane -L
bind-key k select-pane -U
bind-key j select-pane -D
bind-key l select-pane -R

bind-key u break-pane
#bind-key sdf command-prompt -p "join pane from:"  "join-pane -s '%%'"
bind-key y command-prompt -p "send pane to:"  "join-pane -t :'%%' \; select-layout main-vertical"
bind-key Enter rotate-window

bind v split-window -h
bind = select-layout even-horizontal
bind | select-layout main-vertical
bind-key C-t new-window "ttyd -R -d -t fontSize=18 tmux attach -t `tmux display -p '#S'`"

# Status Bar
##set -g status-bg black
set -g status-interval 5
##set -g status-left '#[fg=green]#H#[default]'
##set -g status-right '#[fg=green]#(~/src/tpom/tpom) #[fg=cyan,bold]%Y-%m-%d %H:%M:%S#[default]'
#set -g status-justify centre # center align window list
#set -g status-style fg=white,bg=default

## default window title colors
#set-window-option -g window-status-style fg=white,bg=default,dim

## active window title colors
#set -g main-pane-width 68%
#set-window-option -g window-status-current-style fg=cyan,bg=default,bright

#set-window-option -g window-style fg=#999999,bg=terminal
#set-window-option -g window-active-style fg=terminal,bg=terminal

#set -g status-left '#[fg=green][ #h ]['
#set -g status-left-length 40
#set -g status-right '#[fg=green]][#(battery) #{pane_width}x#{pane_height} #[bright]#[fg=blue]%Y-%m-%d #[fg=white]%I:%M #[dim]#[fg=green]]'
#set -g status-right-length 40
set-window-option -g window-status-activity-style none
# Notifying if other windows has activities
set -g monitor-activity on
set -g visual-activity off
set -g visual-bell on
set -g bell-action none
set -g activity-action none

# Highlighting the active window in status bar
#setw -g window-status-current-style bg=red,bright
set -g @catppuccin_flavour 'mocha' # or frappe, macchiato, mocha

set -g @catppuccin_window_status_enable "yes"
set -g @catppuccin_window_number_position "left"
set -g @catppuccin_window_left_separator ""
set -g @catppuccin_window_right_separator " "
set -g @catppuccin_window_middle_separator " "
set -g @catppuccin_window_connect_separator "yes"

set -g @catppuccin_window_default_color "#{thm_gray}"
set -g @catppuccin_window_default_background "#{thm_green}"
set -g @catppuccin_window_default_fill "all"
set -g @catppuccin_window_default_text "#W"

set -g @catppuccin_window_current_fill "all"
set -g @catppuccin_window_current_text "#W"
set -g @catppuccin_window_current_color "#{thm_blue}"
set -g @catppuccin_window_current_background "#{thm_bg}"

set -g @catppuccin_icon_window_last "󰖰"
set -g @catppuccin_icon_window_current "󰫣"
set -g @catppuccin_icon_window_zoom "󰁌"
set -g @catppuccin_icon_window_mark "󰃀"
set -g @catppuccin_icon_window_silent "󰂛"
set -g @catppuccin_icon_window_activity "󱅫"
set -g @catppuccin_icon_window_bell "󰂞"

set -g @catppuccin_status_modules_right "directory battery host date_time"
set -g @catppuccin_status_left_separator  ""
set -g @catppuccin_status_right_separator ""
set -g @catppuccin_status_fill "icon"
set -g @catppuccin_status_connect_separator "yes"
set -g @catppuccin_date_time_text "%Y-%m-%d %H:%M"

set -g @catppuccin_pane_status_enabled "yes"


set -g @catppuccin_directory_text "#{pane_current_path}"
set -g @plugin 'catppuccin/tmux'


set -g @plugin 'tmux-plugins/tmux-battery'
set -g @plugin 'tmux-plugins/tpm'
run -b '~/.tmux/plugins/tpm/tpm'
